# Uses of Enum
org.apache.commons.math3.fitting.leastsquares.GaussNewtonOptimizer.Decomposition

Packages that use GaussNewtonOptimizer.Decomposition
Package
Description
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.

## Uses of GaussNewtonOptimizer.Decomposition in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares that return GaussNewtonOptimizer.Decomposition
Modifier and Type
Method
Description
`GaussNewtonOptimizer.Decomposition`
GaussNewtonOptimizer.`getDecomposition()`
Get the matrix decomposition algorithm used to solve the normal equations.
`static GaussNewtonOptimizer.Decomposition`
GaussNewtonOptimizer.Decomposition.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GaussNewtonOptimizer.Decomposition[]`
GaussNewtonOptimizer.Decomposition.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.fitting.leastsquares with parameters of type GaussNewtonOptimizer.Decomposition
Modifier and Type
Method
Description
`GaussNewtonOptimizer`
GaussNewtonOptimizer.`withDecomposition(GaussNewtonOptimizer.Decomposition newDecomposition)`
Configure the decomposition algorithm.
Constructors in org.apache.commons.math3.fitting.leastsquares with parameters of type GaussNewtonOptimizer.Decomposition
Modifier
Constructor
Description
``
`GaussNewtonOptimizer(GaussNewtonOptimizer.Decomposition decomposition)`
Create a Gauss Newton optimizer that uses the given decomposition algorithm to solve the normal equations.